/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "graphicprimitive.h"
#include <QDebug>

GraphicPrimitive::GraphicPrimitive()
{
	xDisplacement = 0.0;
	yDisplacement = 0.0;
	angleOfRotation = 0.0;
	xScale = 1.0;
	yScale = 1.0;
}

double GraphicPrimitive::getXDisplacement()
{
// 	qDebug() << "I am sending a displacement of  " << xDisplacement;
	return xDisplacement;
}

double GraphicPrimitive::getYDisplacement()
{
	return yDisplacement;
}

double GraphicPrimitive::getAngleOfRotation()
{
	return angleOfRotation;
}

double GraphicPrimitive::getXScale()
{
	return xScale;
}

double GraphicPrimitive::getYScale()
{
	return yScale;
}

void GraphicPrimitive::setXDisplacement(double displacement)
{
	xDisplacement = displacement;
// 	qDebug() << "I received a displacement of " << xDisplacement;
}

void GraphicPrimitive::setYDisplacement(double displacement)
{
	yDisplacement = displacement;
}

void GraphicPrimitive::setAngleOfRotation(double theta)
{
	angleOfRotation = theta;
}

void GraphicPrimitive::setXScale(double scale)
{
	xScale = scale;
}

void GraphicPrimitive::setYScale(double scale)
{
	yScale = scale;
}


